#!/usr/bin/env node

import { execSync } from "child_process";

const runCommand = command => {
  try {
    execSync(`${command}`, { stdio: "inherit" });
  } catch (error) {
    console.error(`Failed to execute ${command}`, error);
    return false;
  }
  return true;
};

const repoName = process.argv[2];
const gitCheckoutCommand = `git clone --depth 1 https://github.com/beecodeguy/create-next-beecode-pack ${repoName}`;
const gitOriginRemoveCommand = `git remote rm origin`;
const installDepsCommand = `cd ${repoName} && yarn install`;

console.log(`Cloning the repo with name ${repoName}`);

const checkedOut = runCommand(gitCheckoutCommand);
if (!checkedOut) process.exit(-1);

runCommand(gitOriginRemoveCommand);

console.log(`Installing dependencies fro ${repoName}`);

const installedDeps = runCommand(installDepsCommand);
if (!installedDeps) process.exit(-1);

console.log(`Congratulations! You are Ready. Follow the commands to start:-`);
console.log(`cd ${repoName} && yarn dev`);
